package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业线更新对象 b_busi_wish_university_submit_marjors_update
 * 
 * @author voluntary
 * @date 2023-05-25
 */
public class BBusiWishUniversitySubmitMarjorsUpdate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业务组合id */
    private String udid;

    /** 最小分 */
    @Excel(name = "最小分")
    private Integer minScore;

    /** 最低位次 */
    @Excel(name = "最低位次")
    private Integer minRank;

    /** 修正位次 */
    @Excel(name = "修正位次")
    private Integer corrRank;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    /** 版本 */
    @Excel(name = "版本")
    private String version;

    private Integer planNum;
    private Integer enterLine;
    private Integer enterNum;
    private Integer maxScore;
    private Integer avgScore;
    private Integer maxRank;
    private Integer avgRank;
    private String collect;
    private String collectDesc;

    public void setUdid(String udid)
    {
        this.udid = udid;
    }

    public String getUdid()
    {
        return udid;
    }
    public void setMinScore(Integer minScore) 
    {
        this.minScore = minScore;
    }

    public Integer getMinScore() 
    {
        return minScore;
    }
    public void setMinRank(Integer minRank) 
    {
        this.minRank = minRank;
    }

    public Integer getMinRank() 
    {
        return minRank;
    }
    public void setCorrRank(Integer corrRank) {
        this.corrRank = corrRank;
    }

    public Integer getCorrRank() {
        return corrRank;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    public Integer getPlanNum() {
        return planNum;
    }

    public void setPlanNum(Integer planNum) {
        this.planNum = planNum;
    }

    public Integer getEnterLine() {
        return enterLine;
    }

    public void setEnterLine(Integer enterLine) {
        this.enterLine = enterLine;
    }

    public Integer getEnterNum() {
        return enterNum;
    }

    public void setEnterNum(Integer enterNum) {
        this.enterNum = enterNum;
    }

    public Integer getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Integer maxScore) {
        this.maxScore = maxScore;
    }

    public Integer getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Integer avgScore) {
        this.avgScore = avgScore;
    }

    public Integer getMaxRank() {
        return maxRank;
    }

    public void setMaxRank(Integer maxRank) {
        this.maxRank = maxRank;
    }

    public Integer getAvgRank() {
        return avgRank;
    }

    public void setAvgRank(Integer avgRank) {
        this.avgRank = avgRank;
    }

    public String getCollect() {
        return collect;
    }

    public void setCollect(String collect) {
        this.collect = collect;
    }

    public String getCollectDesc() {
        return collectDesc;
    }

    public void setCollectDesc(String collectDesc) {
        this.collectDesc = collectDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("udid", getUdid())
            .append("minScore", getMinScore())
            .append("minRank", getMinRank())
            .append("location", getLocation())
            .append("version", getVersion())
            .toString();
    }
}
